type Listener = {
    onOpen: () => void;
    onFirstFrame: () => void;
    onResumeOk: () => void;
    onResumeReject: () => void;
    onRejectSetup: () => void;
};
export declare const websocketCreator: (url: string, serverName: string, abortSignal: AbortSignal, { onOpen, onFirstFrame, onResumeOk, onRejectSetup, onResumeReject }: Listener) => WebSocket;
export {};
